Name: ZMySQLDA
Version: 2.0.8
Release: alt7
Serial: 1

Summary: MySQL database adapter for Zope
Summary(ru_RU.KOI8-R):     MySQL  Zope
Source0: %name-%version.tar.gz
License: ZPL
Group: System/Servers/ZProducts
BuildArchitectures: noarch
Packager: "Andrey Orlov <cray@altlinux.ru>",
Requires: MySQL-python
Url: http://dustman.net/andy/python/MySQLdb
BuildRequires: libAltDist Zope-core python-devel

%description
This package allows to make connection to MySQL server and maintains cooperative
execution of Zope Application Server and MySQL RDBMS.

This version removes exception following transaction rollback failure.
MySQL doesn't handle transactions; the rollback takes place only after errors
during Zope request processing and the exception only masks real problem making
its diagnose and automated system reaction/recovery impossible.

%description -l ru_RU.KOI8-R
    MySQL.     
     Zope   
MySQL.
  :   ,  -
  .     
MySQL         Zope  
   ,    
    .

%prep
%setup

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%changelog
* Thu Sep 25 2003 Andrey Orlov <cray@altlinux.ru> 1:2.0.8-alt7
- Add serial number

* Thu Sep 11 2003 Andrey Orlov <cray@altlinux.ru> 2.0.8-alt6
- Tested with Zope 2.6.1

* Thu Feb 06 2003 Alexander V. Nikolaev <avn@altlinux.ru> 2.0.8-alt5
- Non-maintainer upload
- Fix build deps
- Add Packager field

* Sat Dec 14 2002 Andrey Orlov <cray@altlinux.ru> 2.0.8-alt4
- Declaration of requirements are enhanced

* Sat Oct 19 2002 Andrey Orlov <cray@altlinux.ru> 2.0.8-alt3
- Revoke changes of alt2 release and do other changes for 0.9.2
  _mysql compatibility

* Sat Oct 19 2002 Andrey Orlov <cray@altlinux.ru> 2.0.8-alt2
- Some changes for 0.9.2 myqsqldb compatibiity

* Wed Feb 20 2002 Uzorin Pavel <pitch@altlinux.ru> 2.7.0-alt3
- Initial CHANGELOG
